#
# spec file for package reaver
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           reaver
Version:        1.4
Release:        lp150.1.4
Summary:        Brute force attack against Wifi Protected Setup
License:        GPL-2.0
Group:          Productivity/Networking/Security
Url:            http://code.google.com/p/reaver-wps/
Source0:        http://reaver-wps.googlecode.com/files/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  sqlite3-devel
BuildRequires:  libpcap-devel

%description
Reaver implements a brute force attack against Wifi Protected Setup (WPS) registrar PINs in order to recover WPA/WPA2 passphrases, as described in http://sviehb.files.wordpress.com/2011/12/viehboeck_wps.pdf.

Reaver has been designed to be a robust and practical attack against WPS, and has been tested against a wide variety of access points and WPS implementations.

On average Reaver will recover the target AP's plain text WPA/WPA2 passphrase in 4-10 hours, depending on the AP. In practice, it will generally take half this time to guess the correct WPS pin and recover the passphrase. 

%prep
%setup -q -n %{name}-%{version}

%build
cd src
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CXXFLAGS="%{optflags} -fno-strict-aliasing"
%configure
make

%install
pushd src
install -d "%{buildroot}/%{_bindir}"
install -m755 reaver "%{buildroot}/%{_bindir}"
install -m755 wash "%{buildroot}/%{_bindir}"
install -d "%{buildroot}/%{_sysconfdir}/reaver"
install -m644 reaver.db "%{buildroot}/%{_sysconfdir}/reaver"
popd
# Let rpm strip manpages alone
pushd docs
gzip -d %{name}.1.gz
install -Dm644  %{name}.1 "%{buildroot}/%{_mandir}/man1/%{name}.1"
popd

%files
%defattr(-,root,root,-)
%doc docs/README.WASH docs/README.REAVER docs/README docs/LICENSE
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/%{name}.db
%{_bindir}/%{name}
%{_bindir}/wash
%{_mandir}/man1/%{name}.1.gz

%changelog
* Wed Jan 29 2014 p.drouand@gmail.com
- Initial release (version 1.4)
